use crate::{commands::command_base::IDeserializedCommand, state::AtemState};

pub struct AtemOptions {
    address: Option<String>,
    port: Option<u16>,
    debug_buffers: bool,
    disable_multi_threaded: bool,
    child_process_timeout: Option<u64>,
}

pub enum AtemEvents {
    Error(String),
    Info(String),
    Debug(String),
    Connected,
    Disconnected,
    StateChanged(Box<(AtemState, Vec<String>)>),
    ReceivedCommands(Vec<Box<dyn IDeserializedCommand>>),
}
