use std::collections::HashMap;

pub mod atem_macro;
pub mod audio;
pub mod color;
pub mod common;
pub mod fairlight;
pub mod info;
pub mod input;
pub mod media;
pub mod recording;
pub mod settings;
pub mod streaming;
pub mod util;
pub mod video;

#[derive(Default)]
pub struct AtemState {
    info: info::DeviceInfo,
    video: video::AtemVideoState,
    audio: Option<audio::AtemClassicAudioState>,
    fairlight: Option<fairlight::AtemFairlightAudioState>,
    media: media::MediaState,
    inputs: HashMap<u64, input::InputChannel>,
    // macro is a rust keyword
    atem_macro: atem_macro::MacroState,
    settings: settings::SettingsState,
    recording: Option<recording::RecordingState>,
    streaming: Option<streaming::StreamingState>,
    color_generators: HashMap<u64, color::ColorGeneratorState>,
}
